Groovy 1.7.0

## org.codehaus.groovy.runtime.dgmimpl
Class NumberNumberDiv

    java.lang.Object
      org.codehaus.groovy.reflection.ParameterTypes
          groovy.lang.MetaMethod
              org.codehaus.groovy.runtime.callsite.CallSiteAwareMetaMethod
                  org.codehaus.groovy.runtime.dgmimpl.NumberNumberMetaMethod
                      org.codehaus.groovy.runtime.dgmimpl.NumberNumberDiv

    class NumberNumberDiv
    extends NumberNumberMetaMethod

Nested Class Summary
`class` | `NumberNumberDiv.DoubleDouble`
`class` | `NumberNumberDiv.DoubleFloat`
`class` | `NumberNumberDiv.DoubleInteger`
`class` | `NumberNumberDiv.DoubleLong`
`class` | `NumberNumberDiv.FloatDouble`
`class` | `NumberNumberDiv.FloatFloat`
`class` | `NumberNumberDiv.FloatInteger`
`class` | `NumberNumberDiv.FloatLong`
`class` | `NumberNumberDiv.IntegerDouble`
`class` | `NumberNumberDiv.IntegerFloat`
`class` | `NumberNumberDiv.LongDouble`
`class` | `NumberNumberDiv.LongFloat`
`class` | `NumberNumberDiv.NumberNumber`

Field Summary

Fields inherited from class ParameterTypes
isVargsMethod, nativeParamTypes, parameterTypes

Constructor Summary
`NumberNumberDiv()`

Method Summary
`CallSite` | `createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)`
`static Number` | `div(Number left, Number right)` Divide two Numbers.
`String` | `getName()`
`Object` | `invoke(Object object, Object[] arguments)`

Methods inherited from class NumberNumberMetaMethod
getDeclaringClass, getModifiers, getReturnType

Methods inherited from class CallSiteAwareMetaMethod
createPojoCallSite

Methods inherited from class MetaMethod
checkParameters, clone, doMethodInvoke, equal, equal, getDeclaringClass, getDescriptor, getModifiers, getMopName, getName, getReturnType, getSignature, invoke, isAbstract, isCacheable, isMethod, isPrivate, isProtected, isPublic, isSame, isStatic, processDoMethodInvokeException, toString

Methods inherited from class ParameterTypes
coerceArgumentsToClasses, correctArguments, getNativeParameterTypes, getPT, getParameterTypes, isValidExactMethod, isValidExactMethod, isValidMethod, isValidMethod, isVargsMethod, setParametersTypes

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### NumberNumberDiv

    NumberNumberDiv()

Method Detail

### createPojoCallSite

    public CallSite createPojoCallSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object receiver, Object[] args)

### div

    public static Number div(Number left, Number right)

  Divide two Numbers.
  param:
    left a Number
  param:
    right another Number
  return:
    a Number resulting of the divide operation

### getName

    public String getName()

### invoke

    public Object invoke(Object object, Object[] arguments)

Copyright © 2003-2009 The Codehaus. All rights reserved.